@extends('EventPortal::email.template')

@section('body')

    <p>Dear {{ $recipient->full_name }},</p>
    <p>This is confirmation of your registration</p>

    @include('EventPortal::email.partials.event.details', [
        'event' => $data->getEvent(),
    ])

    @include('EventPortal::email.partials.event.contact', [
        'event' => $data->getEvent(),
    ])

    <p>We look forward to seeing you then.</p>

    @include('EventPortal::email.partials.event.signoff', [
        'manager' => $data->getEvent()->manager,
    ])
@endsection
