<?php

namespace EventPortal\Domain\Event\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Exceptions\CannotChangeEventState;

class TransitionEvent
{
    public function execute(Event $event, string $transitionType): void
    {
        throw_if($event->canChangeState() === false, CannotChangeEventState::class);

        $event->apply($transitionType);
        $event->save();
    }
}
