<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTypeToEvent extends Migration
{
    public function up(): void
    {
        Schema::table('events', static function (Blueprint $table): void {
            if (Schema::hasColumn('events', 'type') === false) {
                $table->json('type')->nullable();
            }
        });
    }
}
